edu.internet2.ndt

## Class NDTConstants

- java.lang.Object
- - edu.internet2.ndt.NDTConstants

-     public class NDTConstants
      extends Object

  Class to hold constants. These constants include both Protocol related constants and non-protocol related ones which are used by the software. The different sections of constants are listed under appropriate "sections".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_TECH`
    `static String` | `AVGRTT`
    `static String` | `BAD_CABLE`
    `static float` | `BUFFER_LIMITED`
    `static int` | `CABLE_STATUS_BAD`
    `static int` | `CABLE_STATUS_OK`
    `static String` | `CONGESTION`
    `static int` | `CONGESTION_FOUND`
    `static int` | `CONGESTION_NONE`
    `static int` | `CONTROL_PORT_DEFAULT`
    `static int` | `CONTROL_PORT_SSL`
    `static String` | `CURRTO`
    `static String` | `CURRWINRCVD`
    `static String` | `CWNDTIME`
    `static int` | `DATA_RATE_10G_ETHERNET`
    `static int` | `DATA_RATE_DIAL_UP`
    `static int` | `DATA_RATE_ETHERNET`
    `static int` | `DATA_RATE_FAST_ETHERNET`
    `static int` | `DATA_RATE_GIGABIT_ETHERNET`
    `static int` | `DATA_RATE_INSUFFICIENT_DATA`
    `static int` | `DATA_RATE_OC_12`
    `static int` | `DATA_RATE_OC_48`
    `static int` | `DATA_RATE_RTT`
    `static int` | `DATA_RATE_SYSTEM_FAULT`
    `static int` | `DATA_RATE_T1`
    `static int` | `DATA_RATE_T3`
    `static String` | `DIALUP_STR`
    `static String` | `DUPACKSIN`
    `static int` | `DUPLEX_NOK_INDICATOR`
    `static int` | `DUPLEX_OK_INDICATOR`
    `static int` | `DUPLEX_SWITCH_FULL_HOST_HALF`
    `static int` | `DUPLEX_SWITCH_FULL_HOST_HALF_POSS`
    `static int` | `DUPLEX_SWITCH_HALF_HOST_FULL`
    `static int` | `DUPLEX_SWITCH_HALF_HOST_FULL_POSS`
    `static int` | `DUPLEX_SWITCH_HALF_HOST_FULL_WARN`
    `static double` | `EIGHT`
    `static int` | `ETHERNET_MTU_SIZE`
    `static String` | `ETHERNET_STR`
    `static String` | `FAST_ETHERNET`
    `static String` | `GIGABIT_ETHERNET_STR`
    `static int` | `KILO`
    `static int` | `KILO_BITS`
    `static String` | `LOOPBACK_ADDRS_STRING`
    `static String` | `LOSS`
    `static String` | `MAXRTT`
    `static String` | `MAXRWINRCVD`
    `static String` | `META_BROWSER_OS`
    `static String` | `META_CLIENT_APPLICATION`
    `static String` | `META_CLIENT_KERNEL_VERSION`
    `static String` | `META_CLIENT_OS`
    `static String` | `META_CLIENT_VERSION`
    `static int` | `MIDDLEBOX_PREDEFINED_MSS`
    `static String` | `MINRTT`
    `static String` | `MISMATCH`
    `static String` | `NDT_TITLE_STR`
    `static String` | `OC_12_STR`
    `static String` | `OC_48_STR`
    `static String` | `OPTRCVRBUFF`
    `static int` | `PERCENTAGE`
    `static int` | `PREDEFINED_BUFFER_SIZE`
    `static int` | `PROTOCOL_MSG_READ_SUCCESS`
    `static int` | `RFC_1323_DISABLED`
    `static int` | `RFC_1323_ENABLED`
    `static int` | `RFC_1323_PEER_DISABLED`
    `static int` | `RFC_1323_SELF_DISABLED`
    `static int` | `RFC_2018_ENABLED`
    `static int` | `RFC_3168_ENABLED`
    `static int` | `RFC_3168_PEER_DISABLED`
    `static int` | `RFC_3168_SELF_DISABLED`
    `static int` | `RFC_896_ENABLED`
    `static String` | `RTT_STR`
    `static String` | `RWINTIME`
    `static String` | `SACKSRCVD`
    `static int` | `SFW_NOFIREWALL`
    `static int` | `SFW_NOTTESTED`
    `static int` | `SFW_POSSIBLE`
    `static String` | `SFW_PREDEFINED_TEST_MESSAGE`
    `static int` | `SFW_UNKNOWN`
    `static int` | `SOCKET_FREE_PORT_INDICATOR`
    `static int` | `SRV_QUEUE_HEARTBEAT`
    `static int` | `SRV_QUEUE_SERVER_BUSY`
    `static int` | `SRV_QUEUE_SERVER_BUSY_60s`
    `static int` | `SRV_QUEUE_SERVER_FAULT`
    `static int` | `SRV_QUEUE_TEST_STARTS_NOW`
    `static String` | `SYSTEM_FAULT_STR`
    `static String` | `T1_STR`
    `static String` | `T3_STR`
    `static String` | `TARGET1`
    `static String` | `TARGET2`
    `static int` | `TCP_MAX_RECV_WIN_SIZE`
    `static String` | `TCPBW100_MSGS`
    `static String` | `TENGIGABIT_ETHERNET_STR`
    `static byte` | `TEST_C2S`
    `static byte` | `TEST_META`
    `static byte` | `TEST_MID`
    `static byte` | `TEST_S2C`
    `static byte` | `TEST_SFW`
    `static byte` | `TEST_STATUS`
    `static String` | `VERSION`
    `static double` | `VIEW_DIFF`
    `static String` | `WAITSEC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NDTConstants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getMessageString(String paramStrName)` Getter method for to fetch from resourceBundle
    `static void` | `initConstants(Locale paramLocale)` Initializes a few constants
    `static void` | `initConstants(String paramStrLang, String paramStrCountry)` Initializes a few constants

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCESS_TECH

          public static final String ACCESS_TECH

      See Also:
        Constant Field Values

    - #### AVGRTT

          public static final String AVGRTT

      See Also:
        Constant Field Values

    - #### BAD_CABLE

          public static final String BAD_CABLE

      See Also:
        Constant Field Values

    - #### BUFFER_LIMITED

          public static final float BUFFER_LIMITED

      See Also:
        Constant Field Values

    - #### CABLE_STATUS_BAD

          public static final int CABLE_STATUS_BAD

      See Also:
        Constant Field Values

    - #### CABLE_STATUS_OK

          public static final int CABLE_STATUS_OK

      See Also:
        Constant Field Values

    - #### CONGESTION

          public static final String CONGESTION

      See Also:
        Constant Field Values

    - #### CONGESTION_FOUND

          public static final int CONGESTION_FOUND

      See Also:
        Constant Field Values

    - #### CONGESTION_NONE

          public static final int CONGESTION_NONE

      See Also:
        Constant Field Values

    - #### CONTROL_PORT_DEFAULT

          public static final int CONTROL_PORT_DEFAULT

      See Also:
        Constant Field Values

    - #### CONTROL_PORT_SSL

          public static final int CONTROL_PORT_SSL

      See Also:
        Constant Field Values

    - #### CURRTO

          public static final String CURRTO

      See Also:
        Constant Field Values

    - #### CURRWINRCVD

          public static final String CURRWINRCVD

      See Also:
        Constant Field Values

    - #### CWNDTIME

          public static final String CWNDTIME

      See Also:
        Constant Field Values

    - #### DATA_RATE_10G_ETHERNET

          public static final int DATA_RATE_10G_ETHERNET

      See Also:
        Constant Field Values

    - #### DATA_RATE_DIAL_UP

          public static final int DATA_RATE_DIAL_UP

      See Also:
        Constant Field Values

    - #### DATA_RATE_ETHERNET

          public static final int DATA_RATE_ETHERNET

      See Also:
        Constant Field Values

    - #### DATA_RATE_FAST_ETHERNET

          public static final int DATA_RATE_FAST_ETHERNET

      See Also:
        Constant Field Values

    - #### DATA_RATE_GIGABIT_ETHERNET

          public static final int DATA_RATE_GIGABIT_ETHERNET

      See Also:
        Constant Field Values

    - #### DATA_RATE_INSUFFICIENT_DATA

          public static final int DATA_RATE_INSUFFICIENT_DATA

      See Also:
        Constant Field Values

    - #### DATA_RATE_OC_12

          public static final int DATA_RATE_OC_12

      See Also:
        Constant Field Values

    - #### DATA_RATE_OC_48

          public static final int DATA_RATE_OC_48

      See Also:
        Constant Field Values

    - #### DATA_RATE_RTT

          public static final int DATA_RATE_RTT

      See Also:
        Constant Field Values

    - #### DATA_RATE_SYSTEM_FAULT

          public static final int DATA_RATE_SYSTEM_FAULT

      See Also:
        Constant Field Values

    - #### DATA_RATE_T1

          public static final int DATA_RATE_T1

      See Also:
        Constant Field Values

    - #### DATA_RATE_T3

          public static final int DATA_RATE_T3

      See Also:
        Constant Field Values

    - #### DIALUP_STR

          public static final String DIALUP_STR

      See Also:
        Constant Field Values

    - #### DUPACKSIN

          public static final String DUPACKSIN

      See Also:
        Constant Field Values

    - #### DUPLEX_NOK_INDICATOR

          public static final int DUPLEX_NOK_INDICATOR

      See Also:
        Constant Field Values

    - #### DUPLEX_OK_INDICATOR

          public static final int DUPLEX_OK_INDICATOR

      See Also:
        Constant Field Values

    - #### DUPLEX_SWITCH_FULL_HOST_HALF

          public static final int DUPLEX_SWITCH_FULL_HOST_HALF

      See Also:
        Constant Field Values

    - #### DUPLEX_SWITCH_FULL_HOST_HALF_POSS

          public static final int DUPLEX_SWITCH_FULL_HOST_HALF_POSS

      See Also:
        Constant Field Values

    - #### DUPLEX_SWITCH_HALF_HOST_FULL

          public static final int DUPLEX_SWITCH_HALF_HOST_FULL

      See Also:
        Constant Field Values

    - #### DUPLEX_SWITCH_HALF_HOST_FULL_POSS

          public static final int DUPLEX_SWITCH_HALF_HOST_FULL_POSS

      See Also:
        Constant Field Values

    - #### DUPLEX_SWITCH_HALF_HOST_FULL_WARN

          public static final int DUPLEX_SWITCH_HALF_HOST_FULL_WARN

      See Also:
        Constant Field Values

    - #### EIGHT

          public static final double EIGHT

      See Also:
        Constant Field Values

    - #### ETHERNET_MTU_SIZE

          public static final int ETHERNET_MTU_SIZE

      See Also:
        Constant Field Values

    - #### ETHERNET_STR

          public static final String ETHERNET_STR

      See Also:
        Constant Field Values

    - #### FAST_ETHERNET

          public static final String FAST_ETHERNET

      See Also:
        Constant Field Values

    - #### GIGABIT_ETHERNET_STR

          public static final String GIGABIT_ETHERNET_STR

      See Also:
        Constant Field Values

    - #### KILO

          public static final int KILO

      See Also:
        Constant Field Values

    - #### KILO_BITS

          public static final int KILO_BITS

      See Also:
        Constant Field Values

    - #### LOOPBACK_ADDRS_STRING

          public static final String LOOPBACK_ADDRS_STRING

      See Also:
        Constant Field Values

    - #### LOSS

          public static final String LOSS

      See Also:
        Constant Field Values

    - #### MAXRTT

          public static final String MAXRTT

      See Also:
        Constant Field Values

    - #### MAXRWINRCVD

          public static final String MAXRWINRCVD

      See Also:
        Constant Field Values

    - #### META_BROWSER_OS

          public static final String META_BROWSER_OS

      See Also:
        Constant Field Values

    - #### META_CLIENT_APPLICATION

          public static final String META_CLIENT_APPLICATION

      See Also:
        Constant Field Values

    - #### META_CLIENT_KERNEL_VERSION

          public static final String META_CLIENT_KERNEL_VERSION

      See Also:
        Constant Field Values

    - #### META_CLIENT_OS

          public static final String META_CLIENT_OS

      See Also:
        Constant Field Values

    - #### META_CLIENT_VERSION

          public static final String META_CLIENT_VERSION

      See Also:
        Constant Field Values

    - #### MIDDLEBOX_PREDEFINED_MSS

          public static final int MIDDLEBOX_PREDEFINED_MSS

      See Also:
        Constant Field Values

    - #### MINRTT

          public static final String MINRTT

      See Also:
        Constant Field Values

    - #### MISMATCH

          public static final String MISMATCH

      See Also:
        Constant Field Values

    - #### NDT_TITLE_STR

          public static final String NDT_TITLE_STR

      See Also:
        Constant Field Values

    - #### OC_12_STR

          public static final String OC_12_STR

      See Also:
        Constant Field Values

    - #### OC_48_STR

          public static final String OC_48_STR

      See Also:
        Constant Field Values

    - #### OPTRCVRBUFF

          public static final String OPTRCVRBUFF

      See Also:
        Constant Field Values

    - #### PERCENTAGE

          public static final int PERCENTAGE

      See Also:
        Constant Field Values

    - #### PREDEFINED_BUFFER_SIZE

          public static final int PREDEFINED_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### PROTOCOL_MSG_READ_SUCCESS

          public static final int PROTOCOL_MSG_READ_SUCCESS

      See Also:
        Constant Field Values

    - #### RFC_1323_DISABLED

          public static final int RFC_1323_DISABLED

      See Also:
        Constant Field Values

    - #### RFC_1323_ENABLED

          public static final int RFC_1323_ENABLED

      See Also:
        Constant Field Values

    - #### RFC_1323_PEER_DISABLED

          public static final int RFC_1323_PEER_DISABLED

      See Also:
        Constant Field Values

    - #### RFC_1323_SELF_DISABLED

          public static final int RFC_1323_SELF_DISABLED

      See Also:
        Constant Field Values

    - #### RFC_2018_ENABLED

          public static final int RFC_2018_ENABLED

      See Also:
        Constant Field Values

    - #### RFC_3168_ENABLED

          public static final int RFC_3168_ENABLED

      See Also:
        Constant Field Values

    - #### RFC_3168_PEER_DISABLED

          public static final int RFC_3168_PEER_DISABLED

      See Also:
        Constant Field Values

    - #### RFC_3168_SELF_DISABLED

          public static final int RFC_3168_SELF_DISABLED

      See Also:
        Constant Field Values

    - #### RFC_896_ENABLED

          public static final int RFC_896_ENABLED

      See Also:
        Constant Field Values

    - #### RTT_STR

          public static final String RTT_STR

      See Also:
        Constant Field Values

    - #### RWINTIME

          public static final String RWINTIME

      See Also:
        Constant Field Values

    - #### SACKSRCVD

          public static final String SACKSRCVD

      See Also:
        Constant Field Values

    - #### SFW_NOFIREWALL

          public static final int SFW_NOFIREWALL

      See Also:
        Constant Field Values

    - #### SFW_NOTTESTED

          public static final int SFW_NOTTESTED

      See Also:
        Constant Field Values

    - #### SFW_POSSIBLE

          public static final int SFW_POSSIBLE

      See Also:
        Constant Field Values

    - #### SFW_PREDEFINED_TEST_MESSAGE

          public static final String SFW_PREDEFINED_TEST_MESSAGE

      See Also:
        Constant Field Values

    - #### SFW_UNKNOWN

          public static final int SFW_UNKNOWN

      See Also:
        Constant Field Values

    - #### SOCKET_FREE_PORT_INDICATOR

          public static final int SOCKET_FREE_PORT_INDICATOR

      See Also:
        Constant Field Values

    - #### SRV_QUEUE_HEARTBEAT

          public static final int SRV_QUEUE_HEARTBEAT

      See Also:
        Constant Field Values

    - #### SRV_QUEUE_SERVER_BUSY

          public static final int SRV_QUEUE_SERVER_BUSY

      See Also:
        Constant Field Values

    - #### SRV_QUEUE_SERVER_BUSY_60s

          public static final int SRV_QUEUE_SERVER_BUSY_60s

      See Also:
        Constant Field Values

    - #### SRV_QUEUE_SERVER_FAULT

          public static final int SRV_QUEUE_SERVER_FAULT

      See Also:
        Constant Field Values

    - #### SRV_QUEUE_TEST_STARTS_NOW

          public static final int SRV_QUEUE_TEST_STARTS_NOW

      See Also:
        Constant Field Values

    - #### SYSTEM_FAULT_STR

          public static final String SYSTEM_FAULT_STR

      See Also:
        Constant Field Values

    - #### T1_STR

          public static final String T1_STR

      See Also:
        Constant Field Values

    - #### T3_STR

          public static final String T3_STR

      See Also:
        Constant Field Values

    - #### TARGET1

          public static final String TARGET1

      See Also:
        Constant Field Values

    - #### TARGET2

          public static final String TARGET2

      See Also:
        Constant Field Values

    - #### TCP_MAX_RECV_WIN_SIZE

          public static final int TCP_MAX_RECV_WIN_SIZE

      See Also:
        Constant Field Values

    - #### TCPBW100_MSGS

          public static final String TCPBW100_MSGS

      See Also:
        Constant Field Values

    - #### TENGIGABIT_ETHERNET_STR

          public static final String TENGIGABIT_ETHERNET_STR

      See Also:
        Constant Field Values

    - #### TEST_C2S

          public static final byte TEST_C2S

      See Also:
        Constant Field Values

    - #### TEST_META

          public static final byte TEST_META

      See Also:
        Constant Field Values

    - #### TEST_MID

          public static final byte TEST_MID

      See Also:
        Constant Field Values

    - #### TEST_S2C

          public static final byte TEST_S2C

      See Also:
        Constant Field Values

    - #### TEST_SFW

          public static final byte TEST_SFW

      See Also:
        Constant Field Values

    - #### TEST_STATUS

          public static final byte TEST_STATUS

      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      See Also:
        Constant Field Values

    - #### VIEW_DIFF

          public static final double VIEW_DIFF

      See Also:
        Constant Field Values

    - #### WAITSEC

          public static final String WAITSEC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NDTConstants

          public NDTConstants()

  - ### Method Detail

    - #### getMessageString

          public static String getMessageString(String paramStrName)

      Getter method for to fetch from resourceBundle
      Parameters:
        `paramStrName` - name of parameter to be fetched
      Returns:
        Value of parameter input

    - #### initConstants

          public static void initConstants(Locale paramLocale)

      Initializes a few constants
      Parameters:
        `paramLocale` - local Locale object

    - #### initConstants

          public static void initConstants(String paramStrLang,
                                           String paramStrCountry)

      Initializes a few constants
      Parameters:
        `paramStrLang` - local Language String
        `paramStrCountry` - local country String